yzc261亚洲城官网备用地址问下大神们Android SDK的每个版本有什么区别呢,新版的SDK api有什么区别?为什么说能向下兼容?

( yzc261亚洲城官网备用地址 )

问下大神们Android SDK的每个版本有什么区别呢,新版的SDK api有什么区别?为什么说能向下兼容?

当然是越往后,新功能越多啊,举个例子:

android 10(2.2.3/2.2.4)及以下的版本是没有fragment的,从 11(3.0.x) 就有了,这就是新特性,诸如此类的还有很多呢。

不明白题主的“向下兼容”具体指哪方面,就我理解的来说吧:

为了使老版本的sdk能用上新版本的特性和功能,官方都会给出额外的jar包,还是以 fragment 为例,如果我开发的app必须要能在 2.3的系统上运行,但同时要使用 fragment 怎么办呢?此时就可以用引入android.support.v4.jar包,这就是官方给的兼容性解决方案了。

可以发现,随着 SDK 版本的不断升级,官方给出的jar包也越来越多,android.support.v7.jar,v13……

如果你想详细了解下某些版本的升级带来了哪些新特性,欢迎访问Android 5.0 Behavior Changes,当然,感兴趣的话也可以找到历史版本的升级记录,在这里就不多说了。。。

(看完/读完)这篇文章有何感想! yzc261亚洲城官网备用地址的分享…

发表评论

电子邮件地址不会被公开。 必填项已用*标注